Summary: Generates masks between two files and can use the mask to restore files
Name: rhmask
Version: 1.0
Release: 3
Copyright: GPL
Group: Utilities/System
Source: ftp.redhat.com:/pub/redhat/code/rhmask/rhmask-1.0.tar.gz
BuildRoot: /var/tmp/rhmask-root

%description
rhmaskR is intended to allow the distribution of files as masks against
other files. This lets new versions of software be freely distributed on
public internet servers but limits their usefulness to those who already
have a copy of the package. It uses a simple XOR scheme for creating
the file mask and uses file size and md5 sums to ensure the integrity
of the result.

%prep
%setup -q -n rhmask

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/bin/rhmask

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/man/man1/rhmask.1
/usr/bin/rhmask

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root
